Subject: bug#60996: 29.0.60; Native compile fails to remove temp file for trampoline

From: Andrea Corallo <[email-masked]>
Date: Fri, 27 Jan 2023 13:56:36 +0000

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked], [email-masked]
>> Date: Thu, 26 Jan 2023 22:03:39 +0200
>> From: Eli Zaretskii <[email-masked]>
>> 
>> > But my question is: is this mechanism _really_ necessary?
>> > 
>> > >From my POV it's just a kludge that was, is and will be source of
>> > problems.  Was never clear to me for which specific reason this was
>> > implemented as, at the time, I had the impression that all Debian
>> > requirements could be handled with what we already offered.
>> > 
>> > At the time I firmly opposed to this change, but I was told by Lars it
>> > went into master "for discussion" (!?), indeed the review discussion
>> > never happened...  and now we are left with this present.
>> > 
>> > Unless we have a very strong reason to keep it, I believe we should just
>> > get rid of this mechanism, otherwise it will be source of pain for us
>> > again and again in the future.
>> 
>> I'll have to refresh my memory about the reasons and the actual
>> changeset.
>
> I started a discussion on emacs-devel about this, let's see where it
> leads us.

Thanks

> I think for now I should simply wrap the delete-file call at the end
> of 'comp--native-compile' with 'ignore-errors'.  WDYT?

Yeah agree, I'm fine with that as a temporary solution.  I hope we'll
not forget it there as definitive and we'll be able come up with a
decision on this.

Best Regards

  Andrea